<!DOCTYPE html>
<html>
 <head>
    <style>
        #fondo {
            background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
            height: 100vh;
            width: 100%;
            background-size: cover;
            background-repeat: no repeat;
            background-position: center;
            background-attachment: fixed;
            padding: 20px;
            margin: auto;

        }
    </style>
 </head>
 <body>
    <div id="fondo">
        <div style="text-align: right" style="float: right">
            <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png" class="izquierda"></h2>
        </div>
        <h1> </h1>
        <h1 class="test1">INFORME TUTOR ACADEMICO</h1>
        
    <div>
         <hr class="bordes" />
        <div class="row ">
           
            <p-table class="ex2" #dt [columns]="cols" [value]="informes" [paginator]="true" (onRowSelect)="onRowSelect($event)"
                [rows]="10" [filterDelay]="400" selectionMode="single" [(selection)]="informeseleccionado" 
                dataKey="idInforme" [style]="{'margin-left':'40px'}"   >
                 <ng-template pTemplate="caption">
                    Módulos
                </ng-template>
                <ng-template pTemplate="caption">
                    <div style="text-align: right">
                        <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                        <input type="text" pInputText size="50" placeholder="Busqueda"
                            (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
                    </div>
                </ng-template>
                <ng-template pTemplate="header" let-columns>
                    <tr>
                        <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                            {{ col.header }}
                            <p-sortIcon [field]="col.field"></p-sortIcon>
                           
                            
                        </th>
                       
                    </tr>
                </ng-template>
                
                <ng-template pTemplate="body" let-rowData let-columns="columns">
                
                    <tr [pSelectableRow]="rowData">
              
                        <td *ngFor="let col of columns">
                            <span *ngIf="(col.field==='fechaExterna')  " >{{ rowData[col.field] | date }}</span>
                            <span *ngIf="!((col.field==='fechaExterna'))"> {{ rowData[col.field] }}</span> 
                          
                        </td>
                       
                    </tr>
                </ng-template>
            
                <ng-template pTemplate="summary" let-rowData>
                    <div style="text-align:right">
                        <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                            label="Nuevo"></button>
                        <button type="button" pButton icon="fa fa-trash" (click)="borrar(idInforme)" label="Borrar"></button>
                        <button type="button"  pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                            label="Editar"></button>
                            <button type="button"  pButton icon="fa fa-edit" (click)="generarSolicitud()"
                            label="Generar"></button>
                        <!-- <button type="button" pButton icon="fa fa-refresh" (click)="listar()"
                            label="Actualizar">Actualizar</button> -->
    
                    </div>
                </ng-template> 
            </p-table>
            <p-dialog header="INFORME" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
                [style]="{ width: '450px' }">
               
    
                <div class="col-md-8 mt-4">
                    <form #form="ngForm" *ngIf="informetutoracademico">
                            <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha:</label>
                            
                            <div class="calender">
                           <p-calendar appendTo='body' class="form-control {{!fechaExterna.valid?'is-invalid':''}}" name="fechaExterna"
                             #fechaExterna="ngModel" required [(ngModel)]="informetutoracademico.fechaExterna" 
                            [(ngModel)]="date6" [monthNavigator]="true" [yearNavigator]="true" yearRange="1950:2030"></p-calendar>
                               </div >
                                    
                            <h6 *ngIf="fechaExterna.hasError('required') && fechaExterna.touched" class="input-error">Campo obligatorio</h6>
                        </div>
                       <div class="form-group">
                            <label for="" class="col-form-label-sm">Carrera:</label>
                            <input type="text" required class="form-control" name="carrera"
                                [(ngModel)]="informetutoracademico.carrera" placeholder="Ingrese la Carrera"
                                #carrera="ngModel">
                            <h6 *ngIf="carrera.hasError('required') && carrera.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                      

                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Datos Estudiante:</label>
                            <input type="text" required class="form-control" name="carrera"
                                [(ngModel)]="informetutoracademico.carrera" placeholder="Datos Estudiante"
                                #carrera="ngModel">
                            <h6 *ngIf="carrera.hasError('required') && carrera.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>

                            <div class="form-group">
                            <label for="" class="col-form-label-sm">Periodo:</label>
                            <input type="text" required class="form-control" name="periodo"
                                [(ngModel)]="informetutoracademico.periodo" placeholder="Periodo Academico"
                                #periodo="ngModel">
                            <h6 *ngIf="periodo.hasError('required') && periodo.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                             <div class="form-group">
                            <label for="" class="col-form-label-sm">Estado:</label>
                            <input type="text.tolowerCase()" required class="form-control" name="estado"
                                [(ngModel)]="informetutoracademico.estado" placeholder="Estado"
                                #estado="ngModel">
                            <h6 *ngIf="estado.hasError('required') && estado.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                          <div class="form-group">
                            <label for="" class="col-form-label-sm">Horas:</label>
                            <input type="text" required class="form-control" name="horasTotal"
                                [(ngModel)]="informetutoracademico.horasTotal" placeholder="Total Horas"
                                #horasTotal="ngModel">
                            <h6 *ngIf="horasTotal.hasError('required') && horasTotal.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                                <div class="form-group">
                            <label for="" class="col-form-label-sm">Nota Academica:</label>
                            <input type="text" required class="form-control" name="notaAcademico"
                                [(ngModel)]="informetutoracademico.notaAcademico" placeholder="Total Horas"
                                #notaAcademico="ngModel">
                            <h6 *ngIf="notaAcademico.hasError('required') && notaAcademico.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                                <div class="form-group">
                            <label for="" class="col-form-label-sm">Nota Empresarial:</label>
                            <input type="text" required class="form-control" name="notaEmpresarial"
                                [(ngModel)]="informetutoracademico.notaEmpresarial" placeholder="Total Horas"
                                #notaEmpresarial="ngModel">
                            <h6 *ngIf="notaEmpresarial.hasError('required') && notaEmpresarial.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
    
                        <div class="text-center form-row justify-content-around">
                            <div class="col-5">
                                <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                            </div>
                            <div class="col-5">
                                <button class="btn btn-success" [disabled]="form.invalid"
                                    (click)="btnGuardar()">Guardar</button>
                            </div>
                        </div>
                    </form>
                </div>
            </p-dialog>
           
        </div>
    
    </div>
    </div>
  
 </body>
    
</html>
